summaryrefslogtreecommitdiffstats
path: root/source/ap/lsof
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/ap/lsof
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/ap/lsof')
-rwxr-xr-xsource/ap/lsof/lsof.SlackBuild23
-rw-r--r--source/ap/lsof/lsof.url2
-rw-r--r--source/ap/lsof/slack-desc10
3 files changed, 23 insertions, 12 deletions
diff --git a/source/ap/lsof/lsof.SlackBuild b/source/ap/lsof/lsof.SlackBuild
index 0ba128d4e..4320a1fa5 100755
--- a/source/ap/lsof/lsof.SlackBuild
+++ b/source/ap/lsof/lsof.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-$(echo lsof_*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
-BUILD=${BUILD:-1}
+PKGNAM=lsof
+VERSION=${VERSION:-$(echo lsof_*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,7 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-lsof
@@ -43,7 +52,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf lsof_$VERSION
-tar xjvf $CWD/lsof_$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/lsof_$VERSION.tar.?z || exit 1
cd lsof_$VERSION || exit 1
tar xvf lsof_${VERSION}_src.tar || exit 1
cd lsof_${VERSION}_src || exit 1
@@ -56,7 +65,7 @@ find . \
-exec chmod 644 {} \;
echo n | ./Configure linux
-make
+make || exit 1
strip lsof
mkdir -p $PKG/usr/bin
cat lsof > $PKG/usr/bin/lsof
diff --git a/source/ap/lsof/lsof.url b/source/ap/lsof/lsof.url
new file mode 100644
index 000000000..684803ba0
--- /dev/null
+++ b/source/ap/lsof/lsof.url
@@ -0,0 +1,2 @@
+http://people.freebsd.org/~abe/
+ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/
diff --git a/source/ap/lsof/slack-desc b/source/ap/lsof/slack-desc
index 2d8882a77..44ecef31c 100644
--- a/source/ap/lsof/slack-desc
+++ b/source/ap/lsof/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
lsof: lsof (list open files)
lsof:
-lsof: Lsof is a Unix-specific tool. Its name stands for "LiSt Open Files",
-lsof: and it does just that. It lists information about files that are open
+lsof: Lsof is a Unix-specific tool. Its name stands for "LiSt Open Files",
+lsof: and it does just that. It lists information about files that are open
lsof: by the processes running on the system.
lsof:
lsof: Victor A. Abell of Purdue University is the developer of lsof.